Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceAccountService

    public interface VoiceAccountService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `checkVoiceAccountIsActive​(VoiceAccount voiceAccount)` |
  `java.util.List<VoiceAccount>` | `getVoiceAccounts​(int deviceId)` | Получение списка аккаунтов, к которым привязано определенное устройство.
  `int` | `voiceAccountDelete​(int accountId)` | Удаление аккаунта по его коду в БД.
  `VoiceAccount` | `voiceAccountGet​(int accountId)` | Получение одного конкретного аккаунта по его коду в БД.
  `java.util.List<VoiceAccount>` | `voiceAccountList​(int contractId, int contractObjectId, Period period)` | Получение списка аккаунта с фильтрацией по договору.
  `void` | `voiceAccountListDelete​(java.util.List<java.lang.Integer> accountIds)` |
  `void` | `voiceAccountPasswordGenerate​(int accountId)` |
  `void` | `voiceAccountRelocate​(int accountId, int toContractId)` |
  `int` | `voiceAccountTypeDelete​(int accountTypeId)` | Удаление типа аккаунта по его коду в БД.
  `VoiceAccountType` | `voiceAccountTypeGet​(int accountTypeId)` | Получение одного конкретного типа аккаунта по его коду в БД.
  `java.util.List<VoiceAccountType>` | `voiceAccountTypeList()` | Получение списка типов аккаунта
  `int` | `voiceAccountTypeUpdate​(VoiceAccountType accountType)` | Добавление/изменение типа аккаунта.
  `int` | `voiceAccountUpdate​(VoiceAccount account)` | Добавление/изменение аккаунта.
  `Result<VoiceAccount>` | `voiceSearchAccount​(long accountId, java.lang.String login, long number, int typeId, java.lang.String title, Period period, Page page)` | Поиск аккаунта по разным критериям поиска
  `int` | `voiceSessionDetailOrderDelete​(VoiceSessionDetailOrder order)` |
  `java.util.List<VoiceSessionDetailOrder>` | `voiceSessionDetailOrderList​(int accountId, int contractId)` |
  `void` | `voiceSessionDetailOrderUpdate​(VoiceSessionDetailOrder order)` |

- ## Method Details

  - ### voiceAccountList

    java.util.List<VoiceAccount> voiceAccountList​(int contractId, int contractObjectId, Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка аккаунта с фильтрацией по договору.
    Parameters:
      `contractId` - код договора
      `contractObjectId` - код объекта
      `period` - код объекта
    Returns:
      список аккаунтов договора
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountGet

    VoiceAccount voiceAccountGet​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
      аккаунт
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountUpdate

    int voiceAccountUpdate​(VoiceAccount account) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/изменение аккаунта. Если код аккаунта > 0, то произойдет обновление его полей, в противном случае - добавление нового аккаунта
    Parameters:
      `account` - аккаунт
    Returns:
      код добавленного/измененного аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountPasswordGenerate

    void voiceAccountPasswordGenerate​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `accountId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountDelete

    int voiceAccountDelete​(int accountId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление аккаунта по его коду в БД.
    Parameters:
      `accountId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getVoiceAccounts

    java.util.List<VoiceAccount> getVoiceAccounts​(int deviceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка аккаунтов, к которым привязано определенное устройство.
    Parameters:
      `deviceId` - код устройства, по которому нужно отфильтровать список аккаунтов.
    Returns:
      список аккаунтов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountTypeList

    java.util.List<VoiceAccountType> voiceAccountTypeList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка типов аккаунта
    Returns:
      список типов аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountTypeGet

    VoiceAccountType voiceAccountTypeGet​(int accountTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountTypeUpdate

    int voiceAccountTypeUpdate​(VoiceAccountType accountType) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление/изменение типа аккаунта. Если код типа аккаунта > 0, то будут обновлены все поля уже существующего типа аккаунта, в противном случае - добавление нового типа аккаунта
    Parameters:
      `accountType` - тип аккаунта
    Returns:
      код добавленного/измененного типа аккаунта
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountTypeDelete

    int voiceAccountTypeDelete​(int accountTypeId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление типа аккаунта по его коду в БД.
    Parameters:
      `accountTypeId` - код типа аккаунта
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSearchAccount

    Result<VoiceAccount> voiceSearchAccount​(long accountId, java.lang.String login, long number, int typeId, java.lang.String title, Period period, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Поиск аккаунта по разным критериям поиска
    Parameters:
      `accountId` - поиск по id аккаунта. Передавайте -1, если поиск по id аккаунта не нужен
      `login` - поиск по логину, соответствующему полю User-Name в радиус-запросах. Передавайте null, если поиск по логину не нужен
      `number` - номер телефона, привязанный к аккаунту.
      `typeId` - поиск по типу аккаунта. Соответствует id типа аккаунта из справочника типов аккаунтов
      `title` - поиск по названию аккаунта, поле title
      `page` - номер и размер страницы для постраничного вывода информации
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### checkVoiceAccountIsActive

    void checkVoiceAccountIsActive​(VoiceAccount voiceAccount) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountListDelete

    void voiceAccountListDelete​(java.util.List<java.lang.Integer> accountIds) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceAccountRelocate

    void voiceAccountRelocate​(int accountId, int toContractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailOrderList

    java.util.List<VoiceSessionDetailOrder> voiceSessionDetailOrderList​(int accountId, int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailOrderUpdate

    void voiceSessionDetailOrderUpdate​(VoiceSessionDetailOrder order) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceSessionDetailOrderDelete

    int voiceSessionDetailOrderDelete​(VoiceSessionDetailOrder order) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`